# gfmpirun_p4

## Name

gfmpirun_p4 -- run Gfarm parallel programs with mpirun

## Synopsis

gfmpirun_p4 [`options`] `command` `args`...

## DESCRIPTION

gfmpirun_p4 executes a parallel command on filesystem nodes with mpirun provided by MPICH/p4, which is determined by the `-G` option, the `-H` option, or the `-N` option.

`-G`, `-H`, and `-N` options are exclusive. When none of `-G`, `-H`, and `-N` options are not specified, gfmpirun_p4 schedules filesystem nodes by the file-affinity scheduling using the first existent Gfarm file in the argument list `args`.

`Command` can be specified by a gfarm-URL that is registered using gfreg(1).

## OPTIONS

`-G` `gfarm-URL`

  specifies a Gfarm file `gfarm-URL` for file-affinity scheduling.

`-H` `hostfile`

  specifies a `hostfile` that lists filesystem nodes.

  if ``-'' is specified, standard input is used to read the host list.

`-N` `np`

  specifies the number of nodes `np`, which are selected by the increasing order of load average.

## BUGS

gfmpirun_p4 can only work with the MPICH/p4.

## SEE ALSO

gfrun(1)